Package org.firebirdsql.gds.ng.tz

## Interface TimeZoneDatatypeCoder.TimeZoneCodec

Enclosing class:
  TimeZoneDatatypeCoder

    public static interface TimeZoneDatatypeCoder.TimeZoneCodec

Simpler API for encoding or decoding offset date times.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.time.OffsetDateTime` `decodeOffsetDateTime​(byte[] fieldData)` Decodes an encoded TIMESTAMP WITH TIME ZONE value to an offset date time.
`java.time.OffsetTime` `decodeOffsetTime​(byte[] fieldData)` Decodes an encoded TIME WITH TIME ZONE value to an offset time.
`byte[]` `encodeOffsetDateTime​(java.time.OffsetDateTime offsetDateTime)` Encode an offset date time to an encoded TIMESTAMP WITH TIME ZONE value.
`byte[]` `encodeOffsetTime​(java.time.OffsetTime offsetTime)` Encode an offset time to an encoded TIME WITH TIME ZONE value.

### Method Detail

#### encodeOffsetDateTime

    byte[] encodeOffsetDateTime​(java.time.OffsetDateTime offsetDateTime)

Encode an offset date time to an encoded TIMESTAMP WITH TIME ZONE value.

Parameters:
  `offsetDateTime` - Offset date time instance
Returns:
  Byte array with encoded value

#### decodeOffsetDateTime

    java.time.OffsetDateTime decodeOffsetDateTime​(byte[] fieldData)

Decodes an encoded TIMESTAMP WITH TIME ZONE value to an offset date time.

Parameters:
  `fieldData` - Byte array with encoded value
Returns:
  Offset date time instance

#### encodeOffsetTime

    byte[] encodeOffsetTime​(java.time.OffsetTime offsetTime)

Encode an offset time to an encoded TIME WITH TIME ZONE value.

Parameters:
  `offsetTime` - Offset time instance
Returns:
  Byte array with encoded value

#### decodeOffsetTime

    java.time.OffsetTime decodeOffsetTime​(byte[] fieldData)

Decodes an encoded TIME WITH TIME ZONE value to an offset time.

Parameters:
  `fieldData` - Byte array with encoded value
Returns:
  Offset time instance